summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthias Maier <tamiko@gentoo.org>2018-02-06 18:41:08 -0600
committerMatthias Maier <tamiko@gentoo.org>2018-02-06 18:54:22 -0600
commit3f7484cf3cd9ba6e800e36c1ffb206899a379975 (patch)
tree3b479939aaca34737aa10e2d17c8d27b070ee7e0 /sci-calculators
parentsci-libs/libqalculate: version bump to 2.2.0 (diff)
downloadgentoo-3f7484cf3cd9ba6e800e36c1ffb206899a379975.tar.gz
gentoo-3f7484cf3cd9ba6e800e36c1ffb206899a379975.tar.bz2
gentoo-3f7484cf3cd9ba6e800e36c1ffb206899a379975.zip
sci-calculators/qalculate-gtk: version bump to 2.2.0
Closes: https://bugs.gentoo.org/619012 Closes: https://bugs.gentoo.org/613974 Package-Manager: Portage-2.3.24, Repoman-2.3.6
Diffstat (limited to 'sci-calculators')
-rw-r--r--sci-calculators/qalculate-gtk/Manifest1
-rw-r--r--sci-calculators/qalculate-gtk/qalculate-gtk-2.2.0.ebuild34
2 files changed, 35 insertions, 0 deletions
diff --git a/sci-calculators/qalculate-gtk/Manifest b/sci-calculators/qalculate-gtk/Manifest
index 5a1de90533f..d4a13de87e5 100644
--- a/sci-calculators/qalculate-gtk/Manifest
+++ b/sci-calculators/qalculate-gtk/Manifest
@@ -1 +1,2 @@
DIST qalculate-gtk-0.9.9.tar.gz 1283947 BLAKE2B 68904e19a4810ef7c83b2508d952195a38690def54816ecfde227a5f1bac847973ff67df62d5c174c00f6f9490a3ad8dce0d418cb2317b0c9c461126d54c5695 SHA512 944fad21d96de4a9d6b01fe259efb72f4872dd555357577fff18dca5bc4022c77d894b5cf8a0b470fbb02331de21210a6f034627346e08dc57be2f7c08e9faef
+DIST qalculate-gtk-2.2.0.tar.gz 2339951 BLAKE2B 87a2a9328314b994a780f2f616b6f43b53848131db3e5940863432360da44f1e50084076b63c2fac01fe339d5845a55133f5d453bf3d6eec432ce8e43a524921 SHA512 a761383021448f2d8542fad2c51a57e9d98a09264a1467e8e4555ab1930151651f0a40cd9869bb88e18b716fdbe4c664ce69ec02b6623698f42f34e708f55dea
diff --git a/sci-calculators/qalculate-gtk/qalculate-gtk-2.2.0.ebuild b/sci-calculators/qalculate-gtk/qalculate-gtk-2.2.0.ebuild
new file mode 100644
index 00000000000..7a244310dcf
--- /dev/null
+++ b/sci-calculators/qalculate-gtk/qalculate-gtk-2.2.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit gnome2
+
+DESCRIPTION="Modern multi-purpose calculator"
+HOMEPAGE="https://qalculate.github.io/"
+SRC_URI="https://github.com/Qalculate/${PN}/releases/download/v${PV}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="gnome"
+
+RDEPEND=">=sci-libs/libqalculate-2.2.0:=
+ x11-libs/gtk+:3"
+DEPEND="${RDEPEND}
+ app-text/rarian
+ sys-devel/gettext
+ dev-util/intltool
+ virtual/pkgconfig"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-0.9.9-entry.patch"
+)
+
+src_prepare() {
+ # Required by src_test() and `make check`
+ echo data/periodictable.ui > po/POTFILES.skip || die
+
+ gnome2_src_prepare
+}